var Appify = (function($) {
	var $ = jQuery;

	return {
		Init : function() {
			this.featureToolTips();
		},

		/**
		 * Centers any set of elements passed vertically
		 * and horizontally. This assumes the element already has
		 * been positioned absolute with a left and top at 50%;
		 */
		Center : function(els) {
			jQuery.each( els, function( index, value ) {
				var el = $( value ),
				    h  = el.height(),
				    w  = el.width();

				el.css({
					'margin-top'  : -(h / 2),
					'margin-left' : -(w / 2)
				});
			});
		},

		featureToolTips : function() {
			$( '.call_to_action article' ).on( 'mouseenter', 'h3', function() {
				$(this).parent().find( '.tooltip' )
					.hide()
					.stop(true, true)
					.fadeIn(200);
			}).on( 'mouseleave', 'h3', function() {
				$( '.call_to_action article .tooltip' )
					.stop(true, true)
					.fadeOut(200);
			});
		}
	}
}(jQuery));

jQuery(document).ready(function($) {
	Appify.Init();
	Appify.Center( ['.feature .pic img'] );
});